## ace 5.4.7

=== contrib/utility/Makefile ===
# file      : Makefile
# author    : Boris Kolpackov <boris@kolpackov.net>
# copyright : Copyright (c) 2002-2003 Boris Kolpackov
# license   : http://kolpackov.net/license.html

root := .

include $(root)/BuildRules/Bootstrap.rules

$(call include, $(root)/BuildRules/Recursion.pre.rules)

target_makefile_list  :=
target_directory_list := Utility Test Example Documentation

Test Example Documentation : Utility

$(call include, $(root)/BuildRules/Recursion.post.rules)
# Makefile,v 1.1 2005/05/24 04:33:12 turkaye Exp

=== contrib/utility/Documentation/Makefile ===
# file      : Documentation/Makefile
# author    : Boris Kolpackov <boris@kolpackov.net>
# copyright : Copyright (c) 2002-2003 Boris Kolpackov
# license   : http://kolpackov.net/license.html

root := ..

include $(root)/BuildRules/Bootstrap.rules

$(call include, $(root)/BuildRules/Recursion.pre.rules)

target_makefile_list  :=
target_directory_list := ExH ReferenceCounting Synch

$(call include, $(root)/BuildRules/Recursion.post.rules)
# Makefile,v 1.1 2005/05/24 04:33:12 turkaye Exp

=== contrib/utility/Example/Makefile ===
# file      : Example/Makefile
# author    : Boris Kolpackov <boris@kolpackov.net>
# copyright : Copyright (c) 2002-2003 Boris Kolpackov
# license   : http://kolpackov.net/license.html

root := ..

include $(root)/BuildRules/Bootstrap.rules

$(call include, $(root)/BuildRules/Recursion.pre.rules)

target_makefile_list  :=
target_directory_list := ExH Hetero Introspection

$(call include, $(root)/BuildRules/Recursion.post.rules)
# Makefile,v 1.1 2005/05/24 04:33:12 turkaye Exp

=== contrib/utility/Test/Makefile ===
# file      : Test/Makefile
# author    : Boris Kolpackov <boris@kolpackov.net>
# copyright : Copyright (c) 2002-2003 Boris Kolpackov
# license   : http://kolpackov.net/license.html

root := ..

include $(root)/BuildRules/Bootstrap.rules

$(call include, $(root)/BuildRules/Recursion.pre.rules)

target_makefile_list  :=
target_directory_list := ExH Introspection ReferenceCounting Synch

ReferenceCounting : ExH Synch

$(call include, $(root)/BuildRules/Recursion.post.rules)
# Makefile,v 1.1 2005/05/24 04:33:12 turkaye Exp

=== contrib/utility/Utility/Makefile ===
# file      : Utility/Makefile
# author    : Boris Kolpackov <boris@kolpackov.net>
# copyright : Copyright (c) 2002-2003 Boris Kolpackov
# license   : http://kolpackov.net/license.html

root := ..

include $(root)/BuildRules/Bootstrap.rules

$(call include, $(root)/BuildRules/Recursion.pre.rules)

target_makefile_list  :=
target_directory_list := Introspection

$(call include, $(root)/BuildRules/Recursion.post.rules)
# Makefile,v 1.1 2005/05/24 04:33:12 turkaye Exp

=== contrib/utility/Documentation/ExH/Makefile ===
# file      : Documentation/ExH/Makefile
# author    : Boris Kolpackov <boris@kolpackov.net>
# copyright : Copyright (c) 2002-2003 Boris Kolpackov
# license   : http://kolpackov.net/license.html

root := ../..

include $(root)/BuildRules/Bootstrap.rules

$(call include, $(root)/BuildRules/Recursion.pre.rules)

target_makefile_list  := Makefile.documentation
target_directory_list := Logic System Example

$(call include, $(root)/BuildRules/Recursion.post.rules)
# Makefile,v 1.1 2005/05/24 04:33:12 turkaye Exp

=== contrib/utility/Documentation/ReferenceCounting/Makefile ===
# file      : Documentation/ReferenceCounting/Make.doc.mk
# author    : Boris Kolpackov <boris@kolpackov.net>
# copyright : Copyright (c) 2002-2003 Boris Kolpackov
# license   : http://kolpackov.net/license.html

root := ../..

include $(root)/BuildRules/Bootstrap.rules

$(call include, $(root)/BuildRules/Documentation.pre.rules)

vpath %.hpp $(root)/Utility/ReferenceCounting

doc_translation_units := DefaultImpl.hpp \
                         Interface.hpp   \
		         SmartPtr.hpp    \
			 StrictPtr.hpp

DOC_FLAGS := --strip-preprocessor -css $(root)/Documentation/Style/CXX.css

$(call include, $(root)/BuildRules/Documentation.post.rules)
# Makefile,v 1.1 2005/05/24 04:33:12 turkaye Exp

=== contrib/utility/Documentation/Synch/Makefile ===
# file      : Documentation/Synch/Makefile
# author    : Boris Kolpackov <boris@kolpackov.net>
# copyright : Copyright (c) 2002-2003 Boris Kolpackov
# license   : http://kolpackov.net/license.html

root := ../..

include $(root)/BuildRules/Bootstrap.rules

$(call include, $(root)/BuildRules/Recursion.pre.rules)

target_makefile_list  :=
target_directory_list := Policy

$(call include, $(root)/BuildRules/Recursion.post.rules)
# Makefile,v 1.1 2005/05/24 04:33:12 turkaye Exp

=== contrib/utility/Example/ExH/Makefile ===
# file      : Example/ExH/Makefile
# author    : Boris Kolpackov <boris@kolpackov.net>
# copyright : Copyright (c) 2002-2003 Boris Kolpackov
# license   : http://kolpackov.net/license.html

root := ../..

include $(root)/BuildRules/Bootstrap.rules

$(call include, $(root)/BuildRules/Recursion.pre.rules)

target_makefile_list  :=
target_directory_list := BadCast Compound HelloWorld LogicToSystem

$(call include, $(root)/BuildRules/Recursion.post.rules)
# Makefile,v 1.1 2005/05/24 04:33:12 turkaye Exp

=== contrib/utility/Example/Hetero/Makefile ===
# file      : Example/Hetero/Makefile
# author    : Boris Kolpackov <boris@kolpackov.net>
# copyright : Copyright (c) 2002-2003 Boris Kolpackov
# license   : http://kolpackov.net/license.html

root := ../..

include $(root)/BuildRules/Bootstrap.rules

$(call include, $(root)/BuildRules/Recursion.pre.rules)

target_makefile_list  :=
target_directory_list := Container

$(call include, $(root)/BuildRules/Recursion.post.rules)
# Makefile,v 1.1 2005/05/24 04:33:12 turkaye Exp

=== contrib/utility/Example/Introspection/Makefile ===
# file      : Example/Introspection/Makefile
# author    : Boris Kolpackov <boris@kolpackov.net>
# copyright : Copyright (c) 2002-2003 Boris Kolpackov
# license   : http://kolpackov.net/license.html

root := ../..

include $(root)/BuildRules/Bootstrap.rules

$(call include, $(root)/BuildRules/Recursion.pre.rules)

target_makefile_list  :=
target_directory_list := InheritanceTree Traversal

$(call include, $(root)/BuildRules/Recursion.post.rules)
# Makefile,v 1.1 2005/05/24 04:33:12 turkaye Exp

=== contrib/utility/Test/ExH/Makefile ===
# file      : Test/ExH/Makefile
# author    : Boris Kolpackov <boris@kolpackov.net>
# copyright : Copyright (c) 2002-2003 Boris Kolpackov
# license   : http://kolpackov.net/license.html

root := ../..

include $(root)/BuildRules/Bootstrap.rules

$(call include, $(root)/BuildRules/Recursion.pre.rules)

target_makefile_list  :=
target_directory_list := Compound Converter Inline Logic System

$(call include, $(root)/BuildRules/Recursion.post.rules)
# Makefile,v 1.1 2005/05/24 04:33:12 turkaye Exp

## ace 5.6.3

=== contrib/utility/Makefile ===
--- 
+++ 
@@ -15,4 +15,4 @@
 Test Example Documentation : Utility
 
 $(call include, $(root)/BuildRules/Recursion.post.rules)
-# Makefile,v 1.1 2005/05/24 04:33:12 turkaye Exp
+# $Id: Makefile 66067 2005-05-24 04:33:13Z turkaye $

=== contrib/utility/Documentation/Makefile ===
--- 
+++ 
@@ -13,4 +13,4 @@
 target_directory_list := ExH ReferenceCounting Synch
 
 $(call include, $(root)/BuildRules/Recursion.post.rules)
-# Makefile,v 1.1 2005/05/24 04:33:12 turkaye Exp
+# $Id: Makefile 66067 2005-05-24 04:33:13Z turkaye $

=== contrib/utility/Example/Makefile ===
--- 
+++ 
@@ -13,4 +13,4 @@
 target_directory_list := ExH Hetero Introspection
 
 $(call include, $(root)/BuildRules/Recursion.post.rules)
-# Makefile,v 1.1 2005/05/24 04:33:12 turkaye Exp
+# $Id: Makefile 66067 2005-05-24 04:33:13Z turkaye $

=== contrib/utility/Test/Makefile ===
--- 
+++ 
@@ -15,4 +15,4 @@
 ReferenceCounting : ExH Synch
 
 $(call include, $(root)/BuildRules/Recursion.post.rules)
-# Makefile,v 1.1 2005/05/24 04:33:12 turkaye Exp
+# $Id: Makefile 66067 2005-05-24 04:33:13Z turkaye $

=== contrib/utility/Utility/Makefile ===
--- 
+++ 
@@ -13,4 +13,4 @@
 target_directory_list := Introspection
 
 $(call include, $(root)/BuildRules/Recursion.post.rules)
-# Makefile,v 1.1 2005/05/24 04:33:12 turkaye Exp
+# $Id: Makefile 66067 2005-05-24 04:33:13Z turkaye $

=== contrib/utility/Documentation/ExH/Makefile ===
--- 
+++ 
@@ -13,4 +13,4 @@
 target_directory_list := Logic System Example
 
 $(call include, $(root)/BuildRules/Recursion.post.rules)
-# Makefile,v 1.1 2005/05/24 04:33:12 turkaye Exp
+# $Id: Makefile 66067 2005-05-24 04:33:13Z turkaye $

=== contrib/utility/Documentation/ReferenceCounting/Makefile ===
--- 
+++ 
@@ -19,4 +19,4 @@
 DOC_FLAGS := --strip-preprocessor -css $(root)/Documentation/Style/CXX.css
 
 $(call include, $(root)/BuildRules/Documentation.post.rules)
-# Makefile,v 1.1 2005/05/24 04:33:12 turkaye Exp
+# $Id: Makefile 66067 2005-05-24 04:33:13Z turkaye $

=== contrib/utility/Documentation/Synch/Makefile ===
--- 
+++ 
@@ -13,4 +13,4 @@
 target_directory_list := Policy
 
 $(call include, $(root)/BuildRules/Recursion.post.rules)
-# Makefile,v 1.1 2005/05/24 04:33:12 turkaye Exp
+# $Id: Makefile 66067 2005-05-24 04:33:13Z turkaye $

=== contrib/utility/Example/ExH/Makefile ===
--- 
+++ 
@@ -13,4 +13,4 @@
 target_directory_list := BadCast Compound HelloWorld LogicToSystem
 
 $(call include, $(root)/BuildRules/Recursion.post.rules)
-# Makefile,v 1.1 2005/05/24 04:33:12 turkaye Exp
+# $Id: Makefile 66067 2005-05-24 04:33:13Z turkaye $

=== contrib/utility/Example/Hetero/Makefile ===
--- 
+++ 
@@ -13,4 +13,4 @@
 target_directory_list := Container
 
 $(call include, $(root)/BuildRules/Recursion.post.rules)
-# Makefile,v 1.1 2005/05/24 04:33:12 turkaye Exp
+# $Id: Makefile 66067 2005-05-24 04:33:13Z turkaye $

=== contrib/utility/Example/Introspection/Makefile ===
--- 
+++ 
@@ -13,4 +13,4 @@
 target_directory_list := InheritanceTree Traversal
 
 $(call include, $(root)/BuildRules/Recursion.post.rules)
-# Makefile,v 1.1 2005/05/24 04:33:12 turkaye Exp
+# $Id: Makefile 66067 2005-05-24 04:33:13Z turkaye $

=== contrib/utility/Test/ExH/Makefile ===
--- 
+++ 
@@ -13,4 +13,4 @@
 target_directory_list := Compound Converter Inline Logic System
 
 $(call include, $(root)/BuildRules/Recursion.post.rules)
-# Makefile,v 1.1 2005/05/24 04:33:12 turkaye Exp
+# $Id: Makefile 66067 2005-05-24 04:33:13Z turkaye $

## ace 5.7.7+dfsg

=== TAO/orbsvcs/examples/Notify/MC/TkMonitor/Makefile ===
EXTERNAL = CosNotification NotifyMonitoringExt

all: $(EXTERNAL)

$(EXTERNAL):
	perl external_idl.pl

clean:
	perl external_idl.pl -r $(EXTERNAL)

## ace 6.0.3

=== debian/changelog ===
ace (6.0.3-5) unstable; urgency=low

  * debian/control:
    o define Build-Depends-Indep: for documentation generation.
    o Build-Depends on dpkg-dev >= 1.16.2 to have dpkg-buildpackage -B
      correctly invoke build-arch then binary-arch. Closes: #657844.
  * debian/libace-dev.README.Debian: mention how to make ACE Service
    Configuration work in Debian. Closes: #656040.

 -- Thomas Girard <thomas.g.girard@free.fr>  Fri, 30 Mar 2012 20:03:40 +0200

ace (6.0.3-4) unstable; urgency=low

  * Remove work-around for arm now that g++-4.6 ICE is fixed.
    Closes: #653642, #654743.
  * Really ensure doxygen is not being run when invoking build-arch.
    Closes: #657844.

 -- Thomas Girard <thomas.g.girard@free.fr>  Sat, 04 Feb 2012 17:24:25 +0100

ace (6.0.3-3) unstable; urgency=low

  * Build with g++-4.4 on armel to work-around #644722. Closes: #644826.
    Thanks to Peter Green for the report and work-around investigation.
  * debian/lib{ace,tao}-dev.install, debian/tao-utils.install: perform brace
    expansion instead of letting debhelper do it "due to an accident". Helped
    removing no longer needed expansions.
  * debian/control: move transitional packages to section oldlibs, priority
    extra, as per lintian warning recommendation.

 -- Thomas Girard <thomas.g.girard@free.fr>  Wed, 28 Dec 2011 10:46:18 +0100

ace (6.0.3-2) unstable; urgency=low

  * Upload to unstable.
  * Remove the build part in build %: make rule. GNU make 3.82 doesn't
    like it. Should fix the FTBFS seen on experimental/amd64 where make 3.82
    is installed.
  * debian/rules: prevent long generation of doxygen documentation in arch-dep
    build by defining binary-arch: and binary-indep: targets. This requires
    switching to debhelper level 9.
  * debian/rules: overriding dh_fixperm for needed packages only.
    Closes: #636028.
  * debian/*.examples: move examples here.
  * debian/ace-netsvcs.doc-base: remove extra space at end of document field.

 -- Thomas Girard <thomas.g.girard@free.fr>  Sat, 30 Jul 2011 21:38:07 +0200

ace (6.0.3-1) experimental; urgency=low

  [ Thomas Girard ]
  * Drop obsolete patch multiarch.dpatch.
  * Really install NEWS file with libace-ssl.
  * Convert to format 3.0 (quilt):
    o Drop dpatch dependency
    o Do not repackage upstream tarball
    o rework patches 90 and 91 so that they can be applied before building
  * Convert debian/rules to debhelper level 8.
  * Convert patches to DEP3 format.
  * debian/watch: use ACE+TAO-src-*.tar.bz2 since we don't package CIAO.
  * Port to GNU/Hurd.
  * Make tao-idl and tao-ifr depend on g++; we need cpp for preprocessing.
  * Change descriptions to match new binary names.
  * Replace Conflicts:/Replaces: with Breaks:/Replaces:, following lintian
    recommendation.
  * Register ace-netsvcs documentation with doc-base (again, thanks lintian).

  [ Pau Garcia i Quiles ]
  * New upstream patch release. Closes: #628572.
  * Drop patch 11-promote-QtResource-to-qt4

 -- Thomas Girard <thomas.g.girard@free.fr>  Wed, 27 Jul 2011 15:34:32 +0200

ace (6.0.1-3) unstable; urgency=low

  * Convert to format 3.0 (quilt):
    o Drop dpatch dependency
    o Do not repackage upstream tarball
  * Convert debian/rules to debhelper level 8.
  * Port to GNU/Hurd.
  * debian/watch: use ACE+TAO-src-*.tar.bz2 since we don't package CIAO.
  * debian/patches/multiarch.dpatch: change detection of librt.so to use
    getconf so that it does not break with multiarch locations.
    Closes: #629657.
  * debian/NEWS.Debian: mention that SSL v2 was removed from Debian
    packages.
  * Enhance package descriptions. Thanks to Gerfried Fuchs for the
    report, and to Justin B Rye from debian-l10n-english@ for
    his changes. Closes: #599549.

 -- Thomas Girard <thomas.g.girard@free.fr>  Mon, 20 Jun 2011 21:05:52 +0200

ace (6.0.1-2) unstable; urgency=low

  [ Thomas Girard ]
  * Import into git.
  * debian/control: change Vcs-* accordingly.
  * Restore lost changelog entries, thanks to git!
  * Add DM-Upload-Allowed: yes to debian/control.
  * Bump Standards-Version: to 3.9.2.

  [ Pau Garcia i Quiles ]
  * Disable SSLv2 by adding patch 35_disable_sslv2 (Closes: #622074)

 -- Thomas Girard <thomas.g.girard@free.fr>  Sun, 01 May 2011 13:02:17 +0200

ace (6.0.1-1) unstable; urgency=low

  [ Pau Garcia i Quiles ]
  * New upstream release
  * Drop patch 12-add-DESTDIR-to-MPC (applied upstream)
  * Drop patch 13-add-QtReactor-export (applied upstream)
  * Drop patch 14-fix-tcl-flags (applied upstream)
  * Drop patch 16-fix-pidl-install (applied upstream)
  * Update patch 11-promote-QtResource-to-qt4
  * Update patch 15-fix-lzo-flags
  * Update patch 34-bts386713
  * Require debhelper >= 7 (it was already required, in practice)
  * Register documentation with doc-base
  * Explicitly set source format 1.0 until we move to 3.0
  * Package ACE_INet and ACE_INet_SSL

  [ Thomas Girard ]
  * Build-depend on Tcl/Tk >= 8.5.

 -- Pau Garcia i Quiles <pgquiles@elpauer.org>  Sun, 20 Feb 2011 16:33:13 +0100

ace (6.0.0-1) experimental; urgency=low

  * New upstream release:
    o use new make install target.
    o remove generator_pkgconfig.sh, no longer needed.
    o new binary renaming:
      - LoadManager => tao_loadmanager
      - LoadMonitor => tao_loadmonitor
      - ImplRepo_Service => tao_imr_locator
      - ImR_Activator => tao_imr_activator
      - IFR_Service => tao_ifr_service
      - Fault_Detector => tao_fault_detector
      - Fault_Notifier => tao_fault_notifier
      - Scheduling_Service => tao_cosscheduling
      - Dump_Schedule => tao_dump_schedule
    o remove libACE_gperf_lib.
    o remove patches that were merged upstream:
      - 11-create-ace_qt4reactor-mpb.dpatch
      - 12-create-config_kfreebsd.dpatch
      - 16-rename-tao-programs.dpatch
      - 24-add-missing-headers.dpatch
      - 25-remove-duplicate-files.dpatch
      - 47-change-netsvcs.dpatch
      - 48-fix-doxygen-cross-links.dpatch
    o remove useless patches:


=== debian/control ===
Source: ace
Section: devel
Priority: optional
Maintainer: Debian ACE+TAO maintainers <pkg-ace-devel@lists.alioth.debian.org>
Uploaders: Thomas Girard <thomas.g.girard@free.fr>, Pau Garcia i Quiles <pgquiles@elpauer.org>, Marek Brudka <mbrudka@aster.pl>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8.9.7), dpkg-dev (>= 1.16.2), libssl-dev (>= 0.9.7d), libxt-dev (>= 4.3.0), libfltk1.1-dev (>= 1.1.4), libqt4-dev (>= 4.4~rc1-4), tk-dev (>= 8.5), libfox-1.6-dev, zlib1g-dev, libzzip-dev, liblzo2-dev, docbook-to-man, bzip2, libbz2-dev
Build-Depends-Indep: doxygen, graphviz
Standards-Version: 3.9.2
Vcs-Git: git://anonscm.debian.org/pkg-ace/pkg-ace.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ace/pkg-ace.git;a=summary
Homepage: http://www.cs.wustl.edu/~schmidt/ACE.html

Package: mpc-ace
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}
Recommends: make
Replaces: libace-dev (= 5.6.3-4)
Suggests: libace-dev, pkg-config
Description: makefile, project, and workspace creator
 This package contains the Makefile, Project, and Workspace Creator (MPC)
 as distributed with the ACE toolkit.
 .
 MPC generates platform- and compiler-specific files to automate the
 compilation process.
 .
 The following programs are included:
  * mpc-ace: generates project files for a single target
  * mwc-ace: generates workspace files for a set of projects

Package: libace-6.0.3
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C++ network programming framework
 This package contains the ADAPTIVE Communication Environment (ACE)
 framework.
 .
 It provides platform independent C++ wrappers for all forms of IPC,
 thread- and process-management routines, and much more.
 .
 Moreover, it defines patterns for common communication tasks.
  * Reactor: handles event demultiplexing and dispatching
  * Proactor: for asynchronous I/O driven programs

Package: libace-dev
Architecture: any
Section: libdevel
Depends: libace-6.0.3 (= ${binary:Version}), ${misc:Depends}
Suggests: libace-doc, libtao-dev, pkg-config
Replaces: mpc-ace (<< 5.6.3-4)
Description: C++ network programming framework - development files
 This package contains the header files and static library for the ACE
 framework.

Package: libace-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libace-dev
Recommends: doc-base
Description: C++ network programming framework - documentation
 This package contains the ACE overview documentation, tutorials,
 examples, and information regarding upstream development.

Package: libace-ssl-6.0.3
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ACE secure socket layer library
 This package contains wrappers that integrate the OpenSSL library in
 the ACE framework.

Package: libace-ssl-dev
Architecture: any
Section: libdevel
Depends: libace-ssl-6.0.3 (= ${binary:Version}), libace-dev (= ${binary:Version}), libssl-dev (>= 0.9.7d), ${misc:Depends}
Description: ACE secure socket layer library - development files
 This package contains the header files and static library for the ACE
 SSL library.

Package: libace-rmcast-6.0.3
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ACE reliable multicast library
 The RMCast library is a reliable source-ordered multicast protocol
 implementation.
 .
 It uses sequence numbers on messages to ensure ordering, loss
 detection, and suppression of duplicates.

Package: libace-rmcast-dev
Architecture: any
Section: libdevel
Depends: libace-rmcast-6.0.3 (= ${binary:Version}), libace-dev (= ${binary:Version}), ${misc:Depends}
Description: ACE reliable multicast library - development files
 This package contains the header files and static library for the ACE
 reliable multicast library.

Package: libace-tmcast-6.0.3
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ACE transactional multicast library
 The TMCast library is a transactional multicast protocol
 implementation.
 .
 Each message is delivered to multicast group members as a
 transaction: an atomic, consistent, and isolated action.

Package: libace-tmcast-dev
Architecture: any
Section: libdevel
Depends: libace-tmcast-6.0.3 (= ${binary:Version}), libace-dev (= ${binary:Version}), ${misc:Depends}
Description: ACE transactional multicast library - development files
 This package contains the header files and static library for the ACE
 transactional multicast library.

Package: libace-htbp-6.0.3
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ACE protocol over HTTP tunneling library
 The HTTP Tunneling, Bidirectional, Protocol (HTBP) library enables
 the writing of stream-based protocols over HTTP.
 .
 This allows clients behind a firewall to establish a connection with
 outbound servers using the HTTP protocol.

Package: libace-htbp-dev
Architecture: any
Section: libdevel
Depends: libace-htbp-6.0.3 (= ${binary:Version}), libace-dev (= ${binary:Version}), ${misc:Depends}
Description: ACE protocol over HTTP tunneling library - development files
 This package contains the header files and static library for the ACE
 HTBP library.

Package: libace-inet-6.0.3
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ACE Inet protocol library
 This package provides an ACE addon library for clients (and possibly
 servers at some point) using Inet protocols, such as HTTP or FTP.

Package: libace-inet-dev
Architecture: any
Section: libdevel
Depends: libace-inet-6.0.3 (= ${binary:Version}), libace-dev (= ${binary:Version}), ${misc:Depends}
Description: ACE Inet protocol library - development files
 This package contains the header files and static library for the ACE
 Inet protocol library.

Package: libace-inet-ssl-6.0.3
Architecture: any
Section: libs
Depends: libace-inet-6.0.3, libace-ssl-6.0.3, ${shlibs:Depends}, ${misc:Depends}
Description: ACE SSL-enabled Inet protocol library
 This package provides an ACE addon library for clients (and possibly
 servers at some point) using Inet protocols which support SSL, such as
 HTTPS or FTPS.

Package: libace-inet-ssl-dev
Architecture: any
Section: libdevel
Depends: libace-inet-ssl-6.0.3 (= ${binary:Version}), libace-inet-dev (= ${binary:Version}), libace-ssl-dev (= ${binary:Version}), ${misc:Depends}
Description: ACE SSL-enabled Inet protocol library - development files
 This package contains the header files and static library for the ACE
 SSL-enabled Inet protocol library.

Package: ace-gperf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: gperf-ace (<< 5.7.7-1)
Replaces: gperf-ace (<< 5.7.7-1)
Description: ACE perfect hash function generator
 ace_gperf is the ACE version of gperf.
 .
 Both ace_gperf and gperf were written by the same author, and have
 basically the same options and functionality. ace_gperf simply takes
 advantage of some of the features provided by the ACE library.

Package: gperf-ace
Architecture: all
Section: oldlibs
Priority: extra
Depends: ace-gperf, ${misc:Depends}
Description: ACE perfect hash function generator (transitional package)
 This package is a transitional package to ace-gperf.
 .
 It can be safely removed after installation.

Package: libacexml-6.0.3
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ACE SAX based XML parsing library
 This package provides interfaces for XML parsing based on Simple API
 for XML (SAX) 2.0, defined by David Megginson. This is an
 event-driven parsing approach.
 .
 ACEXML is a small footprint and portable library. It does not
 validate XML documents and supports only Unicode encoding.

Package: libacexml-dev
Architecture: any
Section: libdevel
Replaces: libace-dev (<< 5.7.7-4)
Depends: libacexml-6.0.3 (= ${binary:Version}), libace-dev (= ${binary:Version}), ${misc:Depends}
Description: ACE SAX based XML parsing library - development files
 This package contains the header files and static library for the ACE
 XML parsing library.

Package: libkokyu-6.0.3
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libtao-2.0.3, libtao-orbsvcs-2.0.3
Description: ACE scheduling and dispatching library
 Kokyu is a library designed to provide flexible scheduling and
 dispatching services.
 .
 Currently it provides real-time scheduling and dispatching services
 for TAO real-time CORBA Event Service.

Package: libkokyu-dev
Architecture: any
Section: libdevel
Depends: libkokyu-6.0.3 (= ${binary:Version}), libace-dev (= ${binary:Version}), ${misc:Depends}
Description: ACE scheduling and dispatching library - development files
 This package contains the header files and static library for the ACE
 scheduling and dispatching library.

Package: libace-qtreactor-6.0.3
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ACE-GUI reactor integration for Qt
 Recognizing the need to write reactor-based GUI applications, the ACE
 community has created several reactor extensions for use with X
 Window System. Each of these extends the ACE_Select_Reactor to work
 with a specific toolkit. By using these reactors, your GUI
 application can remain single threaded yet still respond to both GUI
 events, such as button presses, and your own application events.
 .
 The ACE_QtReactor extends both the ACE_Select_Reactor and the
 Trolltech Qt library's QObjects class. Rather than using select(),
 the QtWaitForMultipleEvents() function is used.

Package: libace-qtreactor-dev
Architecture: any
Section: libdevel
Depends: libace-qtreactor-6.0.3 (= ${binary:Version}), libace-dev (= ${binary:Version}), libqt4-dev, ${misc:Depends}
Description: ACE-GUI reactor integration for Qt - development files
 This package contains header files and static library for the ACE-Qt
 reactor integration.

Package: libace-xtreactor-6.0.3
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ACE-GUI reactor integration for Xt
 Recognizing the need to write reactor-based GUI applications, the ACE
 community has created several reactor extensions for use with X
 Window System. Each of these extends the ACE_Select_Reactor to work
 with a specific toolkit. By using these reactors, your GUI
 application can remain single threaded yet still respond to both GUI
 events, such as button presses, and your own application events.
 .
 The ACE_XtReactor extends both the ACE_Select_Reactor and the X
 Toolkit library function XtWaitForMultipleEvents().

Package: libace-xtreactor-dev
Architecture: any
Section: libdevel
Depends: libace-xtreactor-6.0.3 (= ${binary:Version}), libace-dev (= ${binary:Version}), libxt-dev (>= 4.3.0), ${misc:Depends}
Description: ACE-GUI reactor integration for Xt - development files
 This package contains header files and static library for the ACE-Xt
 reactor integration.

Package: libace-tkreactor-6.0.3
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ACE-GUI reactor integration for Tk
 Recognizing the need to write reactor-based GUI applications, the ACE
 community has created several reactor extensions for use with X
 Window System. Each of these extends the ACE_Select_Reactor to work
 with a specific toolkit. By using these reactors, your GUI
 application can remain single threaded yet still respond to both GUI
 events, such as button presses, and your own application events.
 .
 The ACE_TkReactor provides reactor functionality around the popular
 Tcl/Tk library. The underlying Tcl/Tk method used is
 Tcl_DoOneEvent().

Package: libace-tkreactor-dev
Architecture: any
Section: libdevel
Depends: libace-tkreactor-6.0.3 (= ${binary:Version}), libace-dev (= ${binary:Version}), tk-dev (>= 8.5), ${misc:Depends}
Description: ACE-GUI reactor integration for Tk - development files
 This package contains header files and static library for the ACE-Tk
 reactor integration.

Package: libace-flreactor-6.0.3

=== debian/rules ===
#!/usr/bin/make -f

# debian/rules file for ACE+TAO Debian GNU/Linux packages
# written February 2002 by Ossama Othman <ossama@debian.org>
# Modified August 2003 by Brian Nelson <pyro@debian.org>
# Copyright (C) 2004  Raphael Bossek <bossekr@debian.org>
# Copyright © 2005-2011 Thomas Girard <thomas.g.girard@free.fr>

MWCFLAGS := -type gnuace -noreldefs
DSO_MAKE_FLAG := versioned_so=2
INSTALL_FLAGS := DESTDIR=$(CURDIR)/debian/tmp INSTALL_PREFIX=/usr install_rpath=0 $(DSO_MAKE_FLAG)

MAN1 := debian/ace_netsvcs.1 \
	debian/tao_catior.1 \
	debian/tao_nslist.1 \
	debian/tao_nsadd.1 \
	debian/tao_nsdel.1 \
	debian/tao_tls_basic.1 \
	debian/tao_tls_event.1 \
	debian/tao_tls_notify.1 \
	debian/tao_tls_rtevent.1 \
	debian/TAO_ORB_Options.1 \
	debian/mpc-ace.1
# Where we install every file before calling dh_install
DT := debian/tmp

DOXYGEN_FILES_TO_REMOVE := -name '*.md5' -o \
                           -name '*.map' -o \
                           -name '*.tag'

# Package names, used when overriding dh_installchangelogs
ALL_PACKAGES := $(shell dh_listpackages)
ALL_TAO      := $(filter tao% libtao%,$(ALL_PACKAGES))
ALL_ACEXML   := $(filter libacexml%,$(ALL_PACKAGES))

export ACE_ROOT := $(shell pwd)
export MPC_ROOT := $(ACE_ROOT)/MPC
export TAO_ROOT := $(ACE_ROOT)/TAO
export LD_LIBRARY_PATH := $(LD_LIBRARY_PATH):$(ACE_ROOT)/lib
export QTDIR := /usr/share/qt4

%:
	dh $@

# Implement our own configure machinery; it will copy Debian specific
# configuration before launching MPC to generate ACE+TAO GNUmakefile
.PHONY: configure
configure: configure-stamp
configure-stamp:
	cp debian/platform_macros.GNU $(ACE_ROOT)/include/makeinclude
	cp debian/config*.h $(ACE_ROOT)/ace/
	cp debian/default.features $(ACE_ROOT)/bin/MakeProjectCreator/config
	cp debian/ACE-DPKG.mwc $(ACE_ROOT)
	cd $(ACE_ROOT) && $(ACE_ROOT)/bin/mwc.pl $(MWCFLAGS) ACE-DPKG.mwc
	cp debian/TAO-DPKG.mwc $(TAO_ROOT)
	cd $(TAO_ROOT) && $(ACE_ROOT)/bin/mwc.pl $(MWCFLAGS) TAO-DPKG.mwc
	touch $@

override_dh_auto_build-arch: configure-stamp
	$(MAKE) -C $(ACE_ROOT) $(DSO_MAKE_FLAG) $(FIXUP)
	$(MAKE) -C $(TAO_ROOT) $(DSO_MAKE_FLAG) $(FIXUP)

override_dh_auto_install-arch: manpages-stamp
	$(MAKE) -C $(ACE_ROOT) install $(INSTALL_FLAGS) $(FIXUP)
	$(MAKE) -C $(TAO_ROOT) install $(INSTALL_FLAGS) $(FIXUP)
	mkdir -p $(DT)/usr/share/man/man1
	cp $(ACE_ROOT)/apps/gperf/ace_gperf.1 $(DT)/usr/share/man/man1
#	Relocate .idl and .pidl files
	cd $(DT) && for f in $$(find usr/include -name '*.idl' -o -name '*.pidl') ; do \
	   g=$$(echo $${f%%include*}share/idl/$${f##*usr/include/}) ; \
	   mkdir -p $$(dirname $$g) ; \
	   mv $$f $$g ; \
	   done
#	We provide scripts replacement for tao_idl and tao_ifr; they
#	automatically define ACE_ROOT and TAO_ROOT
	mkdir -p $(DT)/usr/lib/ace/TAO
	mv $(DT)/usr/bin/tao_idl $(DT)/usr/bin/tao_ifr $(DT)/usr/lib/ace/TAO
	cp debian/tao_idl debian/tao_ifr $(DT)/usr/bin

override_dh_auto_install-indep:

override_dh_auto_clean-arch:
	[ -f $(ACE_ROOT)/GNUmakefile ] && $(MAKE) -C $(ACE_ROOT) realclean $(DSO_MAKE_FLAG) $(FIXUP) || true
	[ -f $(TAO_ROOT)/GNUmakefile ] && $(MAKE) -C $(TAO_ROOT) realclean $(DSO_MAKE_FLAG) $(FIXUP) || true
	find $(ACE_ROOT) -name 'GNUmakefile*' -o -name '.depend.*' | xargs -r rm
	rm -f $(ACE_ROOT)/include/makeinclude/platform_macros.GNU
	rm -f $(ACE_ROOT)/bin/MakeProjectCreator/config/default.features
	rm -f $(ACE_ROOT)/ace/config.h $(ACE_ROOT)/ace/config-hurd.h
	rm -f $(ACE_ROOT)/ACE-DPKG.mwc $(TAO_ROOT)/TAO-DPKG.mwc
	rm -f debian/*.1 debian/mpc-ace.sgml
	rm -f *-stamp
# Remove stubs that get generated during TAO compilation but for some reason
# are not removed on make realclean
	rm -f `cat debian/TOREMOVE`

override_dh_auto_clean-indep:
	rm -Rf $(ACE_ROOT)/html/libace-doc $(ACE_ROOT)/html/libtao-doc $(ACE_ROOT)/html/libacexml-doc

override_dh_compress:
	dh_compress -Xexamples

# Add --list-missing to make sure we don't miss new binaries
override_dh_install:
	dh_install --list-missing

# ACE+TAO has different changelogs. Use the right one in every package.
override_dh_installchangelogs:
	dh_installchangelogs -pace-gperf -pgperf-ace apps/gperf/ChangeLog
	dh_installchangelogs -pmpc-ace MPC/ChangeLog
	dh_installchangelogs $(addprefix -p,$(ALL_TAO)) TAO/ChangeLog
	dh_installchangelogs $(addprefix -p,$(ALL_ACEXML)) ACEXML/ChangeLog
	dh_installchangelogs --remaining-packages ChangeLog

override_dh_fixperms:
ifneq (,$(filter libtao-doc, $(shell dh_listpackages)))
	chmod -x debian/libtao-doc/usr/share/doc/libtao-doc/examples/RTCORBA/Activity/svc.conf.client
	chmod -x debian/libtao-doc/usr/share/doc/libtao-doc/examples/RTCORBA/Activity/svc.conf.server
	chmod -x debian/libtao-doc/usr/share/doc/libtao-doc/examples/Simulator/DOVEBrowser/make.bat
endif
ifneq (,$(filter libace-doc libtao-doc, $(shell dh_listpackages)))
	find debian -name '*.pl' | xargs -r sed -i -e '1i#!/usr/bin/perl'
endif
	dh_fixperms

debian/mpc-ace.sgml: MPC/docs/MPC.sgml
	sed -e 's/mpc\.pl/mpc-ace/g' -e 's/mwc\.pl/mwc-ace/g' $< > $@

debian/%.1: debian/%.sgml
	docbook-to-man $< > $@

override_dh_auto_build-indep:
	cd $(ACE_ROOT) && bin/generate_doxygen.pl -is_release -exclude_ciao -exclude_dance
	find $(ACE_ROOT)/html $(DOXYGEN_FILES_TO_REMOVE) | xargs -r rm -f

.PHONY: manpages
manpages: manpages-stamp
manpages-stamp: $(MAN1)
	touch $@

## ace 6.0.3%2Bdfsg

=== debian/changelog ===
ace (6.0.3+dfsg-0.2) unstable; urgency=low

  * NMU to rebuild with up-to-date tool chain (closes: #723856)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 08 Oct 2013 10:24:20 +0100

ace (6.0.3+dfsg-0.1) unstable; urgency=low

  * NMU with maintainers blessing.
  * Remove upstream files with nonfree licence (closes: #697848) or
    without source (closes: #697847):
    - repack the orig tarball by removing:
        bin/LabVIEW_RT/*.exe
        examples/{C++NPv2,C++NPv1,APG}/
        TAO/
    - debian/control: drop all packages named *tao*
    - debian/rules: drop everything related to tao
    - remove all hunks applying to TAO files in patch reduce-doxygen-doc.diff
    - drop patch 34-bts386713.diff since it applies only to TAO files.
    - debian/copyright: remove copyright entries of TAO/, and of the 
      directories under examples/ that have been removed.
  * Bump version in build-dependency on debhelper to >=9 since we are using
    debhelper compatibility level 9.

 -- Ralf Treinen <treinen@debian.org>  Wed, 23 Jan 2013 21:27:40 +0100

=== debian/rules ===
#!/usr/bin/make -f

# debian/rules file for ACE+TAO Debian GNU/Linux packages
# written February 2002 by Ossama Othman <ossama@debian.org>
# Modified August 2003 by Brian Nelson <pyro@debian.org>
# Copyright (C) 2004  Raphael Bossek <bossekr@debian.org>
# Copyright © 2005-2011 Thomas Girard <thomas.g.girard@free.fr>

MWCFLAGS := -type gnuace -noreldefs
DSO_MAKE_FLAG := versioned_so=2
INSTALL_FLAGS := DESTDIR=$(CURDIR)/debian/tmp INSTALL_PREFIX=/usr install_rpath=0 $(DSO_MAKE_FLAG)

MAN1 := debian/ace_netsvcs.1 \
	debian/mpc-ace.1
# Where we install every file before calling dh_install
DT := debian/tmp

DOXYGEN_FILES_TO_REMOVE := -name '*.md5' -o \
                           -name '*.map' -o \
                           -name '*.tag'

# Package names, used when overriding dh_installchangelogs
ALL_PACKAGES := $(shell dh_listpackages)
ALL_ACEXML   := $(filter libacexml%,$(ALL_PACKAGES))

export ACE_ROOT := $(shell pwd)
export MPC_ROOT := $(ACE_ROOT)/MPC
export LD_LIBRARY_PATH := $(LD_LIBRARY_PATH):$(ACE_ROOT)/lib
export QTDIR := /usr/share/qt4

%:
	dh $@

# Implement our own configure machinery; it will copy Debian specific
# configuration before launching MPC to generate ACE+TAO GNUmakefile
.PHONY: configure
configure: configure-stamp
configure-stamp:
	cp debian/platform_macros.GNU $(ACE_ROOT)/include/makeinclude
	cp debian/config*.h $(ACE_ROOT)/ace/
	cp debian/default.features $(ACE_ROOT)/bin/MakeProjectCreator/config
	cp debian/ACE-DPKG.mwc $(ACE_ROOT)
	cd $(ACE_ROOT) && $(ACE_ROOT)/bin/mwc.pl $(MWCFLAGS) ACE-DPKG.mwc
	touch $@

override_dh_auto_build-arch: configure-stamp
	$(MAKE) -C $(ACE_ROOT) $(DSO_MAKE_FLAG) $(FIXUP)

override_dh_auto_install-arch: manpages-stamp
	$(MAKE) -C $(ACE_ROOT) install $(INSTALL_FLAGS) $(FIXUP)
	mkdir -p $(DT)/usr/share/man/man1
	cp $(ACE_ROOT)/apps/gperf/ace_gperf.1 $(DT)/usr/share/man/man1
#	Relocate .idl and .pidl files
	cd $(DT) && for f in $$(find usr/include -name '*.idl' -o -name '*.pidl') ; do \
	   g=$$(echo $${f%%include*}share/idl/$${f##*usr/include/}) ; \
	   mkdir -p $$(dirname $$g) ; \
	   mv $$f $$g ; \
	   done

override_dh_auto_install-indep:

override_dh_auto_clean-arch:
	[ -f $(ACE_ROOT)/GNUmakefile ] && $(MAKE) -C $(ACE_ROOT) realclean $(DSO_MAKE_FLAG) $(FIXUP) || true
	find $(ACE_ROOT) -name 'GNUmakefile*' -o -name '.depend.*' | xargs -r rm
	rm -f $(ACE_ROOT)/include/makeinclude/platform_macros.GNU
	rm -f $(ACE_ROOT)/bin/MakeProjectCreator/config/default.features
	rm -f $(ACE_ROOT)/ace/config.h $(ACE_ROOT)/ace/config-hurd.h
	rm -f $(ACE_ROOT)/ACE-DPKG.mwc 
	rm -f debian/*.1 debian/mpc-ace.sgml
	rm -f *-stamp
# Remove stubs that get generated during TAO compilation but for some reason
# are not removed on make realclean
	rm -f `cat debian/TOREMOVE`

override_dh_auto_clean-indep:
	rm -Rf $(ACE_ROOT)/html/libace-doc  $(ACE_ROOT)/html/libacexml-doc

override_dh_compress:
	dh_compress -Xexamples

# Add --list-missing to make sure we don't miss new binaries
override_dh_install:
	dh_install --list-missing

# ACE+TAO has different changelogs. Use the right one in every package.
override_dh_installchangelogs:
	dh_installchangelogs -pace-gperf -pgperf-ace apps/gperf/ChangeLog
	dh_installchangelogs -pmpc-ace MPC/ChangeLog
	dh_installchangelogs $(addprefix -p,$(ALL_ACEXML)) ACEXML/ChangeLog
	dh_installchangelogs --remaining-packages ChangeLog

override_dh_fixperms:
ifneq (,$(filter libace-doc, $(shell dh_listpackages)))
	find debian -name '*.pl' | xargs -r sed -i -e '1i#!/usr/bin/perl'
endif
	dh_fixperms

debian/mpc-ace.sgml: MPC/docs/MPC.sgml
	sed -e 's/mpc\.pl/mpc-ace/g' -e 's/mwc\.pl/mwc-ace/g' $< > $@

debian/%.1: debian/%.sgml
	docbook-to-man $< > $@

override_dh_auto_build-indep:
	cd $(ACE_ROOT) && bin/generate_doxygen.pl -is_release -exclude_ciao -exclude_dance
	find $(ACE_ROOT)/html $(DOXYGEN_FILES_TO_REMOVE) | xargs -r rm -f

.PHONY: manpages
manpages: manpages-stamp
manpages-stamp: $(MAN1)
	touch $@

## ace 6.0.3+dfsg

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian ACE+TAO maintainers <pkg-ace-devel@lists.alioth.debian.org>
 Uploaders: Thomas Girard <thomas.g.girard@free.fr>, Pau Garcia i Quiles <pgquiles@elpauer.org>, Marek Brudka <mbrudka@aster.pl>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 8.9.7), dpkg-dev (>= 1.16.2), libssl-dev (>= 0.9.7d), libxt-dev (>= 4.3.0), libfltk1.1-dev (>= 1.1.4), libqt4-dev (>= 4.4~rc1-4), tk-dev (>= 8.5), libfox-1.6-dev, zlib1g-dev, libzzip-dev, liblzo2-dev, docbook-to-man, bzip2, libbz2-dev
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.2), libssl-dev (>= 0.9.7d), libxt-dev (>= 4.3.0), libfltk1.1-dev (>= 1.1.4), libqt4-dev (>= 4.4~rc1-4), tk-dev (>= 8.5), libfox-1.6-dev, zlib1g-dev, libzzip-dev, liblzo2-dev, docbook-to-man, bzip2, libbz2-dev
 Build-Depends-Indep: doxygen, graphviz
 Standards-Version: 3.9.2
 Vcs-Git: git://anonscm.debian.org/pkg-ace/pkg-ace.git

=== debian/watch ===
version=3

ftp://download.dre.vanderbilt.edu/previous_versions/ACE\+TAO-src-(.*)\.tar\.bz2
